#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8D,0x62,0xC8,0x5B,0x0C,0x65,0xC3,0x8D,0x4D,0xC3,0xBD,0x0B,
		0x11,0xD3,0x42,0x5F,0x3C,0xAF,0x59,0x39,0x0D,0x54,0x0A,0xB7,
		0xC3,0x12,0x16,0xED,0x6B,0xA2,0x35,0x28,0xF6,0x1D,0xF0,0xF5,
		0x62,0x09,0xF9,0xBC,0xDE,0x9F,0x8C,0xFE,0xFB,0xB3,0x5B,0x4A,
		0xB8,0xE2,0xBE,0x0E,0xA3,0xB8,0x69,0x61,0x56,0x8B,0xC2,0xBF,
		0x52,0x00,0x1B,0xAB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
